---
title: Update attribute values of multiple recipients
slug: campaign/api/update-attribute-values-of-multiple-recipients
docTags: 
createdAt: 2026-09-02T15:04:15.718Z
---

{
  "id": "s-sDO9Xyu8gIU7Vl0F7aX",
  "type": "api-oas-v2",
  "data": {
    "method": "PUT",
    "url": "https://api.campaign.episerver.net/rest/{clientId}/recipients/{recipientListId}/modify",
    "servers": [
      {
        "url": "https://api.campaign.episerver.net/rest/{clientId}/recipients/{recipientListId}/modify"
      }
    ],
    "name": "Update attribute values of multiple recipients",
    "description": "",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "clientId",
          "type": "integer<int64>",
          "description": "Client ID",
          "format": "int64"
        },
        {
          "kind": "required",
          "name": "recipientListId",
          "type": "integer<int64>",
          "description": "Recipient list ID",
          "format": "int64"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json",
            "application/vnd.optivo.broadmail.v1+json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "optional",
          "name": "body",
          "type": "object",
          "description": "",
          "customType": "UpdateRecipientsRequestData",
          "schema": [
            {
              "name": "updateMode",
              "kind": "optional",
              "type": "string<set | prepend | append>",
              "description": "",
              "enum": [
                "set",
                "prepend",
                "append"
              ]
            },
            {
              "name": "recipients",
              "kind": "optional",
              "type": "array",
              "description": "",
              "modelRef": "#/components/schemas/Recipient",
              "customType": "Recipient[]",
              "schema": [
                {
                  "name": "data",
                  "kind": "optional",
                  "type": "map",
                  "description": "",
                  "example": "",
                  "customType": "map<string, object>",
                  "schema": []
                },
                {
                  "name": "id",
                  "kind": "optional",
                  "type": "string",
                  "description": ""
                }
              ]
            }
          ],
          "modelRef": "#/components/schemas/UpdateRecipientsRequestData",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "Authorization",
          "name": "Authorization",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "The recipients' attributes were updated. The IDs of recipients for which attributes could not be updated are displayed as failedIds in the response body.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "RestRecipientsCreationModify",
            "schema": [
              {
                "name": "count",
                "kind": "optional",
                "type": "integer<int32>",
                "description": "",
                "format": "int32"
              },
              {
                "name": "failedIds",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              }
            ],
            "modelRef": "#/components/schemas/RestRecipientsCreationModify",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "kI5J1RhBWW-bBT2Gcgl9g",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request PUT \\\n     --url https://api.campaign.episerver.net/rest/{clientId}/recipients/{recipientListId}/modify \\\n     --header 'accept: application/json'"
        },
        {
          "id": "4Dvcxb27_3OLmnc9W79NF",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'PUT',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.campaign.episerver.net/rest/{clientId}/recipients/{recipientListId}/modify\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "hgQ8T7WMEoQ6HS2oDQ0n3",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.campaign.episerver.net/rest/{clientId}/recipients/{recipientListId}/modify\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Put.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "6KNnvNov-N3cGLx8YyOcl",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.campaign.episerver.net/rest/{clientId}/recipients/{recipientListId}/modify\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"PUT\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "kI5J1RhBWW-bBT2Gcgl9g"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// The recipients' attributes were updated. The IDs of recipients for which attributes could not be updated are displayed as failedIds in the response body.\n{\n  \"count\": \"\",\n  \"failedIds\": [\n    \"\"\n  ]\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}